package com.kingdee.eas.custom.performancenew;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ExamineGradePersonEntryCollection extends AbstractObjectCollection 
{
    public ExamineGradePersonEntryCollection()
    {
        super(ExamineGradePersonEntryInfo.class);
    }
    public boolean add(ExamineGradePersonEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(ExamineGradePersonEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ExamineGradePersonEntryInfo item)
    {
        return removeObject(item);
    }
    public ExamineGradePersonEntryInfo get(int index)
    {
        return(ExamineGradePersonEntryInfo)getObject(index);
    }
    public ExamineGradePersonEntryInfo get(Object key)
    {
        return(ExamineGradePersonEntryInfo)getObject(key);
    }
    public void set(int index, ExamineGradePersonEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(ExamineGradePersonEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ExamineGradePersonEntryInfo item)
    {
        return super.indexOf(item);
    }
}